Server error when upgrading from 5.0.8 to 5.0.12

More
1 month 3 weeks ago #218652 by routard
Hi,
I've just tried to upgrade from 5.0.8 to the last 5.0.12 ; when uploading , I have to update the database but I have a server error and I can't finish the update (I paste old files from 5.0.8 and all seems Ok). Could you help me? Here is the error. Regards.
500 : Internal server error
Wrong parameters for CException([string $message [, long $code [, Throwable $previous = NULL]]])

Please Log in to join the conversation.

More
1 month 3 weeks ago #218669 by DenisChenu
Argl.

A bad Exception ?

Except : activate debug mode and report the issue : no idea.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

More
1 month 2 weeks ago - 1 month 2 weeks ago #218829 by duvemyster
Did you ever find the way around this? I just ran into the same server error message on the database update using comfort update from 3.27.10+210803 to 5.1.0+210811

When I return to /index.php/admin/databaseupdate/sa/db/ (fresh page load) the Database Upgrade page loads again. But starting it again leads to 500: Internal Server Error
Wrong parameters for CException([string $message [, long $code [, Throwable $previous = NULL]]])
Last edit: 1 month 2 weeks ago by duvemyster. Reason: Clarifying -- not browser back button

Please Log in to join the conversation.

More
1 month 2 weeks ago #218835 by duvemyster
I restored everything -- the database also needed to be restored -- then tried comfort update a second time, and ran into the same 500 error...

Please Log in to join the conversation.

More
1 month 2 weeks ago #218837 by routard
Hi! Couldn't solve this problem but since a new update is available, I've tried with this new one. And now I have another error, concerning the crypted key or something like that. When back to 5.0.8 , all is ok. When I update, I copy the "security.php" file with "config.php" to the 5.0.13 folder... and when update I have the message that the security key has changed since last install... don't understand :-( Please help !

Please Log in to join the conversation.

More
1 month 2 weeks ago #218840 by duvemyster
Thanks for your reply @routard.

I restored back to 3.27.10+210803 again. However, I'm wondering if it might have something to do with my particular limesurvey installation. I have another test installation in a different subdirectory on this same survey that updated smoothly from Version 3.27.11+210809 to 5.1.0+210811.

In my case, the differences I've identified so far between my two different experiences on the same system are:
1. My successful updated stared from Version 3.27.11+210809 and the other one started from 3.27.10+210803
2. The database size of my successful update is smaller.
3. There are some cached files in the tmp directory of the update that didn't go well (from recent zip archive exports), but that seems quite unlikely.
4. There could be something else I haven't identified yet, though they are meant to be the same or similar as the one that worked is where I test things before running them live.

I will let you know after I rule things out, though my first item above is clearly unrelated to what you are running into.

Please Log in to join the conversation.

More
1 month 2 weeks ago #218842 by holch
As paying comfort update customers you can open a support ticket with the Limesurvey GmbH.

Also a bug report should help. A bug not reported is a bug not fixed.

I answer at the LimeSurvey forum in my spare time, I'm not a LimeSurvey GmbH employee.
No support via private message.

Please Log in to join the conversation.

More
1 month 2 weeks ago #218848 by duvemyster
Will do so after I get back to it and take a stab at finding a reproducible scenario.

Please Log in to join the conversation.

More
1 month 2 weeks ago #218849 by GuernseyResearch
This bug killed our LS 3 installation and I have submitted bug 17507

Please Log in to join the conversation.

More
1 month 2 weeks ago #218869 by ollehar
Version 5.1.1 released, please try again with this new version and let us know if any problems remain. Thank you!

Please Log in to join the conversation.

More
1 month 2 weeks ago - 1 month 2 weeks ago #218872 by duvemyster
I just finished setting up a test environment to run a comfort update from a fresh installation of 3.27.11+210809 to to 5.1.x using a duplicate of the db from when I ran into the 500 error from 3.27.10+210803. I was headed toward attempting to identify a reproducible scenario.

However, comfort update changed overnight, perhaps coinciding with the 5.1.1 release. Currently there is no longer an update path offered from 3.27.11+210809, and the only comfort update path offered for Version 3.27.10+210803 is to 3.27.11+210809 (which it seems like should have been an option all along).
Last edit: 1 month 2 weeks ago by duvemyster. Reason: clarity

Please Log in to join the conversation.

More
1 month 1 week ago #218873 by duvemyster

Please Log in to join the conversation.

More
1 month 1 week ago #218874 by ollehar
5.1.2 released with another fix.

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now